import React from 'react';
import './MultiSelectAdvanced.scss';
export interface MultiSelectAdvancedOption {
    label: string;
    value: string | number;
    disabled?: boolean | string;
    matchRank?: number;
}
export interface MultiSelectAdvancedProps {
    className?: string;
    options?: MultiSelectAdvancedOption[];
    selectedValues?: MultiSelectAdvancedOption[];
    label?: string;
    name?: string;
    id?: string;
    disabled?: boolean;
    invalid?: boolean;
    inputDelay?: number;
    placeholder?: string;
    filterShowLoading?: boolean;
    filterLimit?: number;
    filterHighlightKeyword?: boolean;
    filterOrderByMatchRank?: boolean;
    selectionLimit?: number;
    hideInputOnSelectionLimit?: boolean;
    selectionMaxVisibleItems?: number;
    selectionLabelMaxWidth?: number;
    selectionShowClear?: boolean;
    selectionShowDeleteButton?: boolean;
    languageOverwrite?: object;
    LoadingComponent?: React.ElementType;
    DeleteButtonComponent?: React.ElementType;
    ClearButtonComponent?: React.ElementType;
    MoreItemsComponent?: React.ElementType;
    isServerSide?: boolean;
    onChange?: (value: MultiSelectAdvancedOption[]) => void;
    onKeywordChange?: (keyword: string) => Promise<MultiSelectAdvancedOption[]>;
}
declare const MultiSelectAdvanced: React.ForwardRefExoticComponent<MultiSelectAdvancedProps & React.RefAttributes<HTMLInputElement>>;
export default MultiSelectAdvanced;
